Subject: bug#5386: 23.1.91;

From: Jan Djärv <[email-masked]>
Date: Fri, 15 Jan 2010 18:11:44 +0100

Dirk-Jan C. Binnema skrev:
> Hi,
> 
> I'm using emacs --daemon, and what happens quite often is that when I log out
> of my X session and log on as another user, the first user's daemon hangs
> around, and after a while start consuming a lot of CPU (up to 60-70% or more).
> Only killing it seems to help.
> 
> I was able to make some backtraces, please find attached.
> 

This is a long standing bug in Gtk+, it doesn't handle closing displays properly.

	Jan D.